Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class PageData

    java.lang.Object
      com.tibco.bpm.web.client.model.types.AbstractFormData
          com.tibco.bpm.web.client.model.types.PageData

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, IFormData

    public class PageData

extends AbstractFormData

TODO Give a useful description of the type.

©2012 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`PageData()`

Method Summary
`java.lang.String` | `getActivityId()` TODO Describe this method
`void` | `setActivityId(java.lang.String activityId)` TODO Describe this method

Methods inherited from class com.tibco.bpm.web.client.model.types.AbstractFormData
`addInOutField, addInputField, addOutputField, getDataFeed, getFormat, getFormURL, getId, getInOutFields, getInputFields, getMode, getOutputFields, getPresentationType, getProcessId, getVersion, getXmlData, isParallelPageFlow, setDataFeed, setFormat, setFormURL, setId, setInOutFields, setInputFields, setMode, setOutputFields, setParallelPageFlow, setPresentationType, setProcessId, setVersion, setXmlData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageData

    public PageData()

Method Detail

### getActivityId

    public java.lang.String getActivityId()

  TODO Describe this method

  Returns:
    Returns the activityId.

### setActivityId

    public void setActivityId(java.lang.String activityId)

  TODO Describe this method

  Parameters:
    `activityId` - The activityId to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.